clear all;
%rho_th = 0.1;
m_sd = 1;
m_sr = 5;
m_rd = 0.5;
gamma_th = sqrt(10);%5dB

%System with Diversity
%System with Diversity
rho_th = [0.001 0.002 0.003 0.005 0.01 0.02 0.03 0.05 0.07 0.1];
Ps_initial_left = [200 160 160 100 90 10 10 10 10 10 ];
Ps_initial_right = [600 500 300 200 100 60 40 27 27 27 ];
%&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
%&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
for i_rho = 1:length(rho_th)

    [Optimal_power_PS(i_rho)] = function_optimal_PS_Pr(rho_th(i_rho),m_sd,m_sr,gamma_th,Ps_initial_left(i_rho),Ps_initial_right(i_rho))
    Optimal_power_Pr(i_rho) = -(gamma_th/m_rd)/(gamma_th/(Optimal_power_PS(i_rho)*m_sr)+log(1-rho_th(i_rho)/(1-exp(-gamma_th/(Optimal_power_PS(i_rho)*m_sd)))))
    power_total(i_rho) = Optimal_power_PS(i_rho)+Optimal_power_Pr(i_rho)
end
       
loglog(rho_th,Optimal_power_PS,'r-o','MarkerFaceColor','red')
grid on
ylabel('Optimal transmission power')
xlabel('Outage probability threshold \rho_{th}')

hold on

loglog(rho_th,Optimal_power_Pr,'b->','MarkerFaceColor','b')
hold on

loglog(rho_th,power_total,'m-^','MarkerFaceColor','m')
legend('Transmisison power of source node','Transmisison power of UAV node','Total power')
axis([0.001 0.1 0 1000])

