clear all;
%rho_th = 0.1;
m_sd = 1;
m_sr = 5;
m_rd = 0.5;
gamma_0 = sqrt(10);%5dB

%System with Diversity
%System with Diversity
rho_th = [0.001 0.002 0.003 0.005 0.01 0.02 0.03 0.05 0.07 0.1];

%&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
%&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
for i_rho = 1:length(rho_th)
    Optimal_power_PS(i_rho) = -gamma_0/log(1-rho_th(i_rho))*(1/sqrt(m_sr*m_rd)+1/m_sr);
    Optimal_power_Pr(i_rho) = -gamma_0/log(1-rho_th(i_rho))*(1/sqrt(m_sr*m_rd)+1/m_rd);
    power_total(i_rho) = Optimal_power_PS(i_rho)+Optimal_power_Pr(i_rho)
end
       

loglog(rho_th,Optimal_power_PS,'r-o','MarkerFaceColor','red')
grid on
ylabel('Optimal transmission power')
xlabel('Outage probability threshold \rho_{th}')

hold on

loglog(rho_th,Optimal_power_Pr,'b->','MarkerFaceColor','b')
hold on

loglog(rho_th,power_total,'m-^','MarkerFaceColor','m')
legend('Transmisison power of source node','Transmisison power of UAV node','Total power')
% axis([0.001 0.1 0 1000])

